#!/usr/bin/perl -Tw
########################################################################
#                                                                      #
#    dictimport.pl                Mike Machado <mike@innercite.com>    #
#                                 27 April 1999                        #
#                                                                      #
#    Imports standard RADIUS dictionaries into mysql                   #
#                                                                      #
#                   Copyright under same terms as Cistron RADIUS       #
#                                                                      #
########################################################################


use DBI;
use strict;

my $username = "root";
my $password = "rootpass";
my $dbh = DBI->connect("DBI:mysql:radius",$username, $password);

open(DICT, $ARGV[0]) || die "Cannot open $ARGV[0] for read\n";

my ($dummystr, $namestr, $valstr, $typestr, $vendorstr);
my $sth;
my $sql = '';
my $lineno = 0;
while (<DICT>) {
  $lineno++;

  next if (/^#/);
  next if (/^\$/);
  next if (/^$/);

  ($dummystr, $namestr, $valstr, $typestr, $vendorstr) = split(/\s+/);
 
  if ($dummystr eq 'ATTRIBUTE') {
     $sql = "INSERT INTO dictionary VALUES \(\"\",\"$dummystr\",\"$namestr\",\"$valstr\",\"$typestr\",\"$vendorstr\"\)";
  } elsif ($dummystr eq 'VALUE') {
     $sql = "INSERT INTO dictionary VALUES \(\"\",\"$dummystr\",\"$namestr\",\"$valstr\",\"$typestr\",\"\"\)";
  } elsif ($dummystr eq 'VENDOR') {
     $sql = "INSERT INTO dictionary VALUES \(\"\",\"$dummystr\",\"$namestr\",\"$valstr\",\"\",\"\"\)";
  } else {
     print "Unknown entry on line $lineno\n";
     $sql = '';
  }
  $sth = $dbh->do($sql) if $sql;
#   print "$sql\n" if $sql;
}
$dbh->disconnect;
